/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_2)
 *
 * Copyright (c) 2005, 2017 The CELLmicrocosmos 2 Development Team
 * (Bjorn Sommer, Tim Dingersen et al.
 *  University of Konstanz, Monash University, Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.coarsegrainsupport;

import java.awt.Color;

import javax.vecmath.Point3f;

import org.cellmicrocosmos.cm2.dataobjects.Molecule_3D;


/**
 * Used as a sheet that contains all relevant data of a molecule profile.
 * @author Tim Dingersen
 * dackelnose@gmx.net
 *
 */
public class MoleculeProfile {

	public Molecule_3D mol;
	public String name;
	public String pdbCode;
	public Point3f[] positions = new Point3f[0];
	public String[] particleIDs = new String[0];
	public Color[] colors = new Color[0];
	public String[] particleAtomNames = new String[0];
	public String[] particleElementNames = new String[0];
	public Integer[][] particleMemberIndices = new Integer[0][];

}
