/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_2)
 *
 * Copyright (c) 2005, 2017 The CELLmicrocosmos 2 Development Team
 * (Bjorn Sommer, Tim Dingersen et al.
 *  University of Konstanz, Monash University, Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.dataobjects;


/**
 * An extended version of a molecule. Used to represent Lipids.
 * 
 * @author Tim Dingersen dackelnose@gmx.net
 * 
 */
public class Lipid_3D extends Molecule_3D {

	
	
	int percent = 0;

	int membraneSide = 0;

	public Lipid_3D() {
		super();
	}

	/**
	 * Returns the percentage of this lipid
	 * 
	 * @return
	 */
	public int getPercent() {
		return this.percent;
	}

	/**
	 * Sets the percentage of this lipid
	 * 
	 * @param perc
	 */
	public void setPercent(final int perc) {
		this.percent = perc;
	}

	public int getMembraneSide() {
		return this.membraneSide;
	}

	public void setMembraneSide(final int membraneSide) {
		this.membraneSide = membraneSide;
	}

}
