/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_2)
 *
 * Copyright (c) 2005, 2017 The CELLmicrocosmos 2 Development Team
 * (Bjorn Sommer, Tim Dingersen et al.
 *  University of Konstanz, Monash University, Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.gui;

import java.awt.Color;
import java.awt.GradientPaint;
import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;


/**
 * 
 * This class is needed to create color gradient backgrounds in the cell universe.
 * 
 * @author Tim Dingersen
 * dackelnose@gmx.net
 *
 */
public class MyGradientBufferedImage extends BufferedImage {
	public final static int w = 200;
	public final static int h = 200;

	public MyGradientBufferedImage(final Color color, final Color color2,
			final int mode) {
		super(MyGradientBufferedImage.w, MyGradientBufferedImage.h,
				BufferedImage.TYPE_INT_BGR);

		final Graphics2D g = this.createGraphics();

		if (mode == 0 || mode == 1) {

			final GradientPaint gp = new GradientPaint(0,
					MyGradientBufferedImage.h / 4, mode == 0 ? color
							: color2, 0, MyGradientBufferedImage.h
							- MyGradientBufferedImage.h / 4,
					mode == 0 ? color2 : color);
			g.setPaint(gp);

			final Rectangle2D rectangle = new Rectangle2D.Double(0, 0,
					MyGradientBufferedImage.w, MyGradientBufferedImage.h);
			g.fill(rectangle);

		} else {

			GradientPaint gp = new GradientPaint(0,
					MyGradientBufferedImage.h / 4, color2, 0,
					MyGradientBufferedImage.h / 2, color);
			g.setPaint(gp);
			Rectangle2D rectangle = new Rectangle2D.Double(0, 0,
					MyGradientBufferedImage.w,
					MyGradientBufferedImage.h / 2);
			g.fill(rectangle);

			gp = new GradientPaint(0, MyGradientBufferedImage.h
					- MyGradientBufferedImage.h / 4, color2, 0,
					MyGradientBufferedImage.h / 2, color);
			g.setPaint(gp);
			rectangle = new Rectangle2D.Double(0,
					MyGradientBufferedImage.h / 2,
					MyGradientBufferedImage.w,
					MyGradientBufferedImage.h / 2);
			g.fill(rectangle);
		}

	}
}
