/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_2)
 *
 * Copyright (c) 2005, 2017 The CELLmicrocosmos 2 Development Team
 * (Bjorn Sommer, Tim Dingersen et al.
 *  University of Konstanz, Monash University, Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.interfaces;

import java.awt.Graphics;

import javax.vecmath.Matrix3f;

/**
 * Listener that is used in the jmol Integration
 * 
 * @author Tim Dingersen dackelnose@gmx.net
 * 
 */
public interface CM2AdditionalListener {

	void atomPassedOverByCursor(int atomIndex);

	void yTranslationChanged(float f);

	void notifyFileLoaded();

	void notifyFrameChanged();

	void matrixUpdated(Matrix3f matrix, float translation);

	void repainted(Graphics g);

}
