/*******************************************************************************
 * CELLmicrocosmos 2.2 MembraneEditor (version 2.2.2_2)
 *
 * Copyright (c) 2005, 2017 The CELLmicrocosmos 2 Development Team
 * (Bjorn Sommer, Tim Dingersen et al.
 *  University of Konstanz, Monash University, Bielefeld University)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package org.cellmicrocosmos.cm2.membranepackingalgorithm;

import java.awt.Component;

/**
 * Indicates Methods relevant for the MembranePackingAlgorithm. The MembranePackingAlgorithm
 * class implements this interface, forcing the Plugin developer to override
 * these methods
 * 
 * @author Sebastian Schneider,Tim Dingersen, Bjoern Sommer bjoern@CELLmicrocosmos.org
 * 
 */
public interface MembranePackingAlgorithmInterface {

	public boolean buildAndShowGui();

	public String getShortInformation();

	public String getFullInformation();

	public String getName();

	public String getStringRepresentationOfSetupParameters();

	public void fillWithLipids() throws Exception;

	public void stopAlgorithm();

	public boolean supportsAbsoluteValues();
	
	public boolean supportsMicrodomains();

	public boolean overrideExistingLipids();

	public Component getRuntimeControlPanel();

}
